# Uses of Class
org.eclipse.emf.cdo.eresource.impl.CDOResourceImpl

Packages that use CDOResourceImpl
Package
Description
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOResourceImpl in org.eclipse.emf.cdo.eresource.impl

Methods in org.eclipse.emf.cdo.eresource.impl that return CDOResourceImpl
Modifier and Type
Method
Description
`protected CDOResourceImpl`
CDOResourceFactoryImpl.`createCDOResource(URI uri)`

## Uses of CDOResourceImpl in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOResourceImpl
Modifier and Type
Method
Description
`void`
InternalCDOView.`attachResource(CDOResourceImpl resource)`
`void`
InternalCDOView.`registerProxyResource(CDOResourceImpl resource)`
Deprecated.
No longer supported.
`void`
InternalCDOView.`resourceLoaded(CDOResourceImpl resource, boolean loaded)`